Java unter Mozilla-Problem

Dieses Thema im Forum "Browser" wurde erstellt von Steffy, 18. Juni 2003.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. Steffy

    Steffy Kbyte

    Registriert seit:
    5. Dezember 2001
    Beiträge:
    400
    mal wieder ein Problem mit Mozilla: ich habe von Sun das Original Java 1.4.1_03 SDK installiert. Internet Explorer erkennt es ohne Probleme und bindet es bei jeder Seite, die Java-Technologie verwendet, automatisch ein, Mozilla aber nicht.

    Hab\' schon probiert, in der Systemsteuerung den Netscape Navigator auszuwählen in den PlugIn-Einstellungen, hat aber nicht geklappt. Was muß ich machen?

    Viele Grüße
    Steffi
     
  2. RaBerti1

    RaBerti1 Viertel Gigabyte

    Registriert seit:
    24. November 2000
    Beiträge:
    5.094
    Hi!
    Die Einstellung unter
    Bearbeiten - Einstellungen -
    dann unter Kategorie
    "Erweitert" (Hauptzeile)
    hast Du aber nicht gemeint?
    An anderer Stelle ist da noch von Javascript die Rede, nämlich in der Kategorie Erweitert eine Zeile tiefer unter ScriptsPlugins.

    MfG Raberti
    [Diese Nachricht wurde von RaBerti1 am 18.06.2003 | 17:30 geändert.]
     
  3. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    @Steele

    >Zu franzkat Postings mach dir keinen Kopf: Der wollte mich nur provozieren. Das macht der dauernd.

    Würde ich bei Dir nie wagen. Du hättest doch keine Skrupel, mich als einen der letzten Ignoranten bloßzustellen, die noch den Internet Explorer und (horribile dictu) Norton Antivirus benutzen ;-)

    franzkat
    [Diese Nachricht wurde von franzkat am 18.06.2003 | 17:20 geändert.]
     
  4. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    Geistesblitz\' nicht-metaphorisch ausdrücken wolltest, würdest Du merken, dass das kaum unmetaphorisch möglich ist.

    franzkat
     
  5. Scorylus

    Scorylus Kbyte

    Registriert seit:
    4. Dezember 2001
    Beiträge:
    175
    Naja, hauptsache wir beide sind gesund und hinken nicht ;-)

    Ich hoffe jedenfalls, das es so ist, wenn nicht so entschuldige ich mich natürlich.

    Jedenfalls war mein Post auch nicht so ernst gemeint. Möchte mich nicht streiten.

    PS: Wie kann überhaupt etwas hinken, was gar nicht laufen kann ? ;-)

    MfG Scorylus
    [Diese Nachricht wurde von Scorylus am 18.06.2003 | 16:36 geändert.]
     
  6. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    Nein, Du argumentierst unlogisch.Ich habe nur auf eine denkbare und naheliegende Alternative hingewiesen.Wenn diese dann -aus welchen Gründen auch immer - nicht in Frage kommt (und in diesem Sinne hat Steffy sich ja dann auch geäußert ) ist das natürlich in Ordnung. Das hat aber absolut nichts mit einer "hinkenden Argumentation" zu tun ( mal abgesehen davon, dass nur ein Vergleich hinken kann, aber keine Argumentation).

    franzkat
     
  7. Scorylus

    Scorylus Kbyte

    Registriert seit:
    4. Dezember 2001
    Beiträge:
    175
    Also bei dir hinkt deine argumentation aber auch, anscheinend möchte sie ja nun mit Mozilla arbeiten und nicht mit dem IE.

    Sie wollte wissen, wie sie das Problem bei Mozilla beseitigt und nicht einfach nur, wie kann ich sonst im Netz Java nutzen, oder soetwas.

    Von daher war dein Post eben nicht gerade hilfreich. ;-)

    Aber nichts für ungut hoffentlich :-)

    MfG Scorylus
     
  8. emacs

    emacs Megabyte

    Registriert seit:
    10. Dezember 2002
    Beiträge:
    1.031
    Es ist immer eine Frage der Zeit...

    emacs
     
  9. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    Fällt sie so schwer, dass man da "schrauben" muss ?

    franzkat
     
  10. emacs

    emacs Megabyte

    Registriert seit:
    10. Dezember 2002
    Beiträge:
    1.031
    Noch was, aktuelle Sicherheitslücke im IE:

    http://www.heise.de/newsticker/data/dab-18.06.03-001/

    emacs
     
  11. emacs

    emacs Megabyte

    Registriert seit:
    10. Dezember 2002
    Beiträge:
    1.031
    Nee, die Argumente sind mir nicht ausgegangen, ich schraube noch an der Antwort ;-)

    emacs
     
  12. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    Na, Dein Vergleich hinkt aber gewaltig. Wenn ich zwei Browser habe und bei dem einen habe ich - wie Steffy schreibt - immer wieder Probleme, mit dem anderen tritt das Problem, um das es mir im Besonderen geht, aber nicht auf, dann finde ich die Schlussfolgerung nicht abwegig, sondern naheliegend, dass ich mich für den Browser entscheide, bei dem ich die Probleme nicht habe. Was Dein PS anbetrifft vielleicht folgende Anmerkung : Mir ist aufgefallen, dass Du auf das letzte Posting von Hotzi (18.06./15.30 ), der Dich direkt anspricht, nicht mehr geantwortet hast :
    Hotzi schrieb "
    "Ich möchte mal bezweifeln, dass man da so vergleichen kann. Den Linuxkinderkram wird kein vernünftig denkender Admin in einer Firma einsetzen, zumindest nicht auf dem Desktop.[...]
    Nichts gegen Dich, aber Milchmädchenrechnung von Leuten, die nicht wissen wies im Unternehmen läuft. Da hat keiner Zeit, jahrelang an einer Linuxlösung zu basteln, das geht nur in Umgebungen, wo die Aufgaben GENAU spezifiziert sind und nur genau festgelegte Software verwendet wird, und wo hat man das schon ?"....
    Sind Dir da die Argumente ausgegangen ?

    franzkat
     
  13. Steffy

    Steffy Kbyte

    Registriert seit:
    5. Dezember 2001
    Beiträge:
    400
    Hallo,

    danke für den Tipp. Leider stellte er keine Lösung für mein Problem dar :-)

    Gruß
    Steffi
     
  14. Steffy

    Steffy Kbyte

    Registriert seit:
    5. Dezember 2001
    Beiträge:
    400
    Hallo :-)

    ja, brauche das SDK, da ich zwar keine Applets, aber reinrassige Java-Anwendungen programmiere. Das SDK enthält ja auch die RE, diese wird auch richtig aufgeführt im Plugin-Konfigurationsdialog, nur leider nicht eingebunden.

    Naja, werde mal die anderen Tipps in Betracht ziehen. Danke!

    Ciao
    Steffi
     
  15. emacs

    emacs Megabyte

    Registriert seit:
    10. Dezember 2002
    Beiträge:
    1.031
    Dein Post ist genauso sinnvoll, wie das hier:

    "Auf der Schachtel stand, erfordert Windows 98 oder besser, also habe ich Linux installiert"

    emacs

    PS.: wenn du den ultimativen Patch für dein Windows haben möchtest :www.debian.org
     
  16. Gast

    Gast Guest

    Mal abgesehen von dem wichtigen Tipp zur FAQ von Holger Metzger und den Kopiertipps für den Plugins-Ordner:
    Wieso installierst du das SDK?
    Willst du Java-Applets programmieren?
    Damit Java mit dem Mozilla funktioniert brauchst du doch nur die JRE.
    Darüber hinaus können (wohlgemerkt KÖNNEN) Probleme entstehen, wenn parallel weitere Java-Virtual Machines installiert sind wie die von Microsoft oder ältere Vorgänger von SUN. Auch unvollständige Deinstallationen solcher Altlasten und damit verbundene fehlerhafte Verweise in der Registry KÖNNEN problematisch sein.
    Aus eigener Erfahrung mit einmal 5 verschiedenen parallel installierten JREs kann ich aber sagen, dass das durchaus auch reibungslos klappen kann.
    Zu franzkat Postings mach dir keinen Kopf: Der wollte mich nur provozieren. Das macht der dauernd.
     
  17. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    Ich auch nicht. Manchmal ergeben sich Probleme durch Fehlbedienung; dann liegt\'s aber nicht am Programm, sondern am Benutzer.

    franzkat
     
  18. MyronG

    MyronG Kbyte

    Registriert seit:
    5. April 2001
    Beiträge:
    356
    Vielleicht hilft dir das weiter (ist zwar für den Net7 gechrieben, aber vielleicht klappt es)
    "
    Sun Java Plugin installieren.

    Im C:\Pfad\zu\Java\\bin folgende Dateien ins Netscape-Plugin-Verzeichnis kopieren:

    NPJPI140.dll
    NPJava32.dll
    NPJava13.dll
    NPJava12.dll
    NPJava11.dll
    NPOJI610.dll
    Oder einfacherer Weg:
    Folgendes in die user.js eintragen und Mozilla wird selbständig nach Java suchen:

    user_pref("plugin.scan.SunJRE", "1.3");

    1.3 bedeutet es wird nach Java Versionen >1.3 gesucht, also auch 1.4"

    aus http://www.holgermetzger.de/net6d.html#29
     
  19. ReneW

    ReneW Megabyte

    Registriert seit:
    28. Mai 2000
    Beiträge:
    2.486
    Komisch, hatte noch nie Probleme.
     
  20. franzkat

    franzkat CD-R 80

    Registriert seit:
    16. Juni 2002
    Beiträge:
    9.246
    >mal wieder ein Problem mit Mozilla

    Ziehe eine vernünftige Schlussfolgerung und arbeite mit dem Internet Explorer.

    franzkat
     
Status des Themas:
Es sind keine weiteren Antworten möglich.

Diese Seite empfehlen